/* Board */
#include "board.h"
#include "clock_config.h"
#include "peripherals.h"
#include "pin_mux.h"

/* LittleFS */
#include "lfs.h"

/* App */
#include "app_lspi_flash.h"

int main(void) {
    BOARD_InitBootPins();
    BOARD_InitBootClocks();
    BOARD_InitBootPeripherals();

    if(app_lspi_flash_init() != 0) {
        for(;;) {
            /* -- */
        }
    }

    for (;;) {
        __WFI();
    }
}